<?php

require_once("../../config/conexion.php");
require_once("../../models/Usuario.php");
require_once('../../controller/phpqrcode/qrlib.php');
$usuario = new Usuario();
$nombre_imagen = $_FILES['fotografia']['name'];
$tipo_imagen = $_FILES['fotografia']['type'];
$tamanio_imagen = $_FILES['fotografia']['size'];
$carpeta_destino = $_SERVER['DOCUMENT_ROOT'] . '/externo/fotoCarnet/';
$formatos_permitidos = array('png', 'jpeg', 'jpg');
$extension = pathinfo($nombre_imagen, PATHINFO_EXTENSION);
if (!in_array($extension, $formatos_permitidos)) {
    echo '<script>alert("Formato no admitido");</script>';
    echo '<script>window.location="https://cemlad.org/sied/view/Carnet";</script>';
} else {
    move_uploaded_file($_FILES['fotografia']['tmp_name'], $carpeta_destino . $nombre_imagen);
    //$ubicacion = "https://localhost/externo/fotoCarnet/" . $nombre_imagen;
    $ubicacion = "https://cemlad.org/externo/fotoCarnet/" . $nombre_imagen;
    $usuario->mdlActualizarFoto($_SESSION["usuariodbk"], $ubicacion);
    //Primer parametro texto del QR
    //Segundo parametro - ruta donde se guardara el archivo
    QRcode::png(Conexion::ruta() . "view/Carnet/consulta.php?x=" . $_SESSION["usuariodbk"], "../../public/qr/" . $_SESSION["usuariodbk"] . ".png", 'L', 32, 5);
    echo '<script>window.location="https://cemlad.org/sied/view/Carnet";</script>';
    //echo '<script>window.location="https://localhost/sied/view/Carnet?m=2";</script>';
}
?>